12mH Radial Leaded Power Inductors :
4 Products FoundAll Filters
(1 Applied)
Expand Filters
Manufacturer
(4)
Inductance
=12mH
1
(3)
(2)
(1)
(4)
(1)
(1)
(2)
(2)
Product Range
(1)
(1)
(1)
(1)
Inductor Construction
(4)
RMS Current (Irms)
(1)
(2)
(1)
Saturation Current (Isat)
(1)
(2)
(1)
DC Resistance Max
(1)
(1)
(1)
(1)
Inductance Tolerance
(4)
Packaging
(3)
(1)
| Compare | Manufacturer Part No | Order Code | Manufacturer / Description | Availability | Price For | Price | Quantity | Product Range | Inductance | Inductor Construction | RMS Current (Irms) | Saturation Current (Isat) | DC Resistance Max | Inductance Tolerance |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
Each | 1+HK$12.580 5+HK$11.640 10+HK$10.690 25+HK$9.700 50+HK$8.660 More Pricing... | RFC0810 Series | 12mH | Unshielded | 150mA | 190mA | 24.5ohm | ± 10% | ||||||
Each | 1+HK$12.420 5+HK$11.480 10+HK$10.530 25+HK$9.700 50+HK$8.610 More Pricing... | RFC1010 Series | 12mH | Unshielded | 180mA | 250mA | 17.5ohm | ± 10% | ||||||
Each | 1+HK$8.880 5+HK$8.210 10+HK$7.530 25+HK$6.840 50+HK$6.100 More Pricing... | RFC0807 Series | 12mH | Unshielded | 110mA | 190mA | 37.5ohm | ± 10% | ||||||
Each (Supplied on Cut Tape) Cut Tape | 1+HK$13.980 5+HK$12.910 10+HK$11.840 25+HK$10.860 50+HK$9.630 More Pricing... | RFB0810 Series | 12mH | Unshielded | 150mA | 120mA | 28ohm | ± 10% | ||||||



